## golang-github-containerd-stargz-snapshotter 0.8.0

=== Makefile ===
#   Copyright The containerd Authors.

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.


# Base path used to install.
CMD_DESTDIR ?= /usr/local
GO111MODULE_VALUE=auto
PREFIX ?= out/

PKG=github.com/containerd/stargz-snapshotter
VERSION=$(shell git describe --match 'v[0-9]*' --dirty='.m' --always --tags)
REVISION=$(shell git rev-parse HEAD)$(shell if ! git diff --no-ext-diff --quiet --exit-code; then echo .m; fi)
GO_LD_FLAGS=-ldflags '-s -w -X $(PKG)/version.Version=$(VERSION) -X $(PKG)/version.Revision=$(REVISION) $(GO_EXTRA_LDFLAGS)'

CMD=containerd-stargz-grpc ctr-remote stargz-store

CMD_BINARIES=$(addprefix $(PREFIX),$(CMD))

.PHONY: all build check install-check-tools install uninstall clean test test-root test-all integration test-optimize benchmark test-pullsecrets test-cri-containerd test-cri-o test-criauth generate validate-generated

all: build

build: $(CMD)

FORCE:

containerd-stargz-grpc: FORCE
	GO111MODULE=$(GO111MODULE_VALUE) go build -o $(PREFIX)$@ $(GO_BUILD_FLAGS) $(GO_LD_FLAGS) -v ./cmd/containerd-stargz-grpc

ctr-remote: FORCE
	GO111MODULE=$(GO111MODULE_VALUE) go build -o $(PREFIX)$@ $(GO_BUILD_FLAGS) $(GO_LD_FLAGS) -v ./cmd/ctr-remote

stargz-store: FORCE
	GO111MODULE=$(GO111MODULE_VALUE) go build -o $(PREFIX)$@ $(GO_BUILD_FLAGS) $(GO_LD_FLAGS) -v ./cmd/stargz-store

check:
	@echo "$@"
	@GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run
	@cd ./estargz ; GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run

install-check-tools:
	@curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.42.0

install:
	@echo "$@"
	@mkdir -p $(CMD_DESTDIR)/bin
	@install $(CMD_BINARIES) $(CMD_DESTDIR)/bin

uninstall:
	@echo "$@"
	@rm -f $(addprefix $(CMD_DESTDIR)/bin/,$(notdir $(CMD_BINARIES)))

clean:
	@echo "$@"
	@rm -f $(CMD_BINARIES)

generate:
	@./script/generated-files/generate.sh update

validate-generated:
	@./script/generated-files/generate.sh validate

test:
	@echo "$@"
	@GO111MODULE=$(GO111MODULE_VALUE) go test -race ./...
	@cd ./estargz ; GO111MODULE=$(GO111MODULE_VALUE) go test -timeout 20m -race ./...

test-root:
	@echo "$@"
	@GO111MODULE=$(GO111MODULE_VALUE) go test -race ./snapshot -test.root

test-all: test-root test

integration:
	@./script/integration/test.sh

test-optimize:
	@./script/optimize/test.sh

benchmark:
	@./script/benchmark/test.sh

test-pullsecrets:
	@./script/pullsecrets/test.sh

test-cri-containerd:
	@./script/cri-containerd/test.sh

test-cri-o:
	@./script/cri-o/test.sh

test-criauth:
	@./script/criauth/test.sh

test-k3s:
	@./script/k3s/test.sh

=== debian/changelog ===
golang-github-containerd-stargz-snapshotter (0.8.0-8) unstable; urgency=medium

  * Revert earlier attempts, avoid running those expensive tests on 32bit

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Nov 2021 12:09:05 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-7) unstable; urgency=medium

  * avoid more than 4 goroutines to avoid out of memory on 32bit architectures

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Nov 2021 10:54:04 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-6) unstable; urgency=medium

  * avoid more than 8 goroutines to avoid out of memory on 32bit architectures

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Nov 2021 07:56:58 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-5) unstable; urgency=medium

  * exclude tests that reach out to internet (Closes: #999440)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Nov 2021 07:57:26 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-4) unstable; urgency=medium

  * debian/copyright: regenerate with cme update dpkg-copyright

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 07 Nov 2021 17:55:15 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-3) unstable; urgency=medium

  * Add missing dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Nov 2021 11:49:58 -0400

golang-github-containerd-stargz-snapshotter (0.8.0-2) unstable; urgency=medium

  * no-change reupload

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Nov 2021 11:11:24 -0400

golang-github-containerd-stargz-snapshotter (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #994908)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 26 Sep 2021 12:08:24 -0400

=== debian/control ===
Source: golang-github-containerd-stargz-snapshotter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-containerd-console-dev,
               golang-github-containerd-containerd-dev,
               golang-github-containerd-continuity-dev,
               golang-github-containerd-go-cni-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-docker-docker-dev,
               golang-github-docker-go-metrics-dev,
               golang-github-golang-groupcache-dev,
               golang-github-google-gofuzz-dev,
               golang-github-hanwen-go-fuse-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-klauspost-compress-dev (>> 1.11.13),
               golang-github-moby-sys-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-pelletier-go-toml-dev,
               golang-github-pkg-errors-dev,
               golang-github-rs-xid-dev,
               golang-github-urfave-cli-dev,
               golang-github-vbatts-tar-split-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-gopkg-inf.v0-dev,
               golang-logrus-dev,
               golang-prometheus-client-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/stargz-snapshotter
Vcs-Git: https://salsa.debian.org/go-team/packages/stargz-snapshotter.git
Homepage: https://github.com/containerd/stargz-snapshotter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/containerd/stargz-snapshotter

Package: stargz-snapshotter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast container image distribution plugin with lazy pulling (program)
 Pulling image is one of the time-consuming steps in the
 container lifecycle. Stargz Snapshotter is an
 implementation of snapshotter which aims to solve this problem by lazy
 pulling.  Lazy pulling here means a container can run without waiting
 for the pull completion of the image and necessary chunks of the image
 are fetched on-demand.
 .
 eStargz is a lazily-pullable image format proposed by this project.  This is
 compatible to OCI images so this can be pushed to standard container
 registries (e.g. ghcr.io) as well as this is still runnable even on
 eStargz-agnostic runtimes including Docker.  eStargz format is based on stargz
 image format by CRFS but comes with additional features like runtime
 optimization and content verification.
 .
 This package contains the ctr-remote command.

Package: golang-github-containerd-stargz-snapshotter-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-github-klauspost-compress-dev (>> 1.11.13),
         golang-golang-x-sync-dev,
         golang-github-containerd-console-dev,
         golang-github-containerd-containerd-dev,
         golang-github-containerd-continuity-dev,
         golang-github-containerd-go-cni-dev,
         golang-github-coreos-go-systemd-dev,
         golang-github-docker-docker-dev,
         golang-github-docker-go-metrics-dev,
         golang-github-golang-groupcache-dev,
         golang-github-google-gofuzz-dev,
         golang-github-hanwen-go-fuse-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-klauspost-compress-dev (>> 1.11.13),
         golang-github-moby-sys-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-pelletier-go-toml-dev,
         golang-github-pkg-errors-dev,
         golang-github-rs-xid-dev,
         golang-github-urfave-cli-dev,
         golang-github-vbatts-tar-split-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-google-grpc-dev,
         golang-google-protobuf-dev,
         golang-gopkg-inf.v0-dev,
         golang-logrus-dev,
         golang-prometheus-client-dev,
Built-Using: ${misc:Built-Using}
Multi-Arch: foreign
Description: Fast container image distribution plugin with lazy pulling (library)
 Pulling image is one of the time-consuming steps in the
 container lifecycle. Stargz Snapshotter is an
 implementation of snapshotter which aims to solve this problem by lazy
 pulling.  Lazy pulling here means a container can run without waiting
 for the pull completion of the image and necessary chunks of the image
 are fetched on-demand.
 .
 eStargz is a lazily-pullable image format proposed by this project.  This is
 compatible to OCI images so this can be pushed to standard container
 registries (e.g. ghcr.io) as well as this is still runnable even on
 eStargz-agnostic runtimes including Docker.  eStargz format is based on stargz
 image format by CRFS but comes with additional features like runtime
 optimization and content verification.
 .
 This package contains the golang library for use in other packages

=== debian/rules ===
#!/usr/bin/make -f

# NB: the /service modules contain a number of k8s related dependencies
# that are not (currently) packaged in debian for use by other packages.
# As of version 0.8.0, this excludes the programs containerd-stargz-grpc
# and stargz-core, which are excluded from building in the following
export DH_GOLANG_EXCLUDES := stargz-snapshotter/service stargz-snapshotter/cmd/containerd-stargz-grpc stargz-snapshotter/cmd/stargz-store

# exclude tests that reach out to internet #999440
EXTRA_TEST_EXCLUDES := nativeconverter

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# on 32bit architectures, exclude a problematic test
ifneq ($(DEB_HOST_ARCH_BITS),32)
$(info Running all tests but globally excluded ones: $(EXTRA_TEST_EXCLUDES))
else
EXTRA_TEST_EXCLUDES += estargz/zstdchunked
$(info Excluding additional tests: $(EXTRA_TEST_EXCLUDES))
endif

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) $(EXTRA_TEST_EXCLUDES)" GOMAXPROCS=4 dh_auto_test -v --max-parallel=2

## golang-github-containerd-stargz-snapshotter 0.11.4

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Base path used to install.
 CMD_DESTDIR ?= /usr/local
 GO111MODULE_VALUE=auto
-PREFIX ?= out/
+PREFIX ?= $(CURDIR)/out/
 
 PKG=github.com/containerd/stargz-snapshotter
 VERSION=$(shell git describe --match 'v[0-9]*' --dirty='.m' --always --tags)
@@ -27,7 +27,7 @@
 
 CMD_BINARIES=$(addprefix $(PREFIX),$(CMD))
 
-.PHONY: all build check install-check-tools install uninstall clean test test-root test-all integration test-optimize benchmark test-pullsecrets test-cri-containerd test-cri-o test-criauth generate validate-generated
+.PHONY: all build check install-check-tools install uninstall clean test test-root test-all integration test-optimize benchmark test-kind test-cri-containerd test-cri-o test-criauth generate validate-generated test-k3s test-k3s-argo-workflow vendor
 
 all: build
 
@@ -36,21 +36,23 @@
 FORCE:
 
 containerd-stargz-grpc: FORCE
-	GO111MODULE=$(GO111MODULE_VALUE) go build -o $(PREFIX)$@ $(GO_BUILD_FLAGS) $(GO_LD_FLAGS) -v ./cmd/containerd-stargz-grpc
+	cd cmd/ ; GO111MODULE=$(GO111MODULE_VALUE) go build -o $(PREFIX)$@ $(GO_BUILD_FLAGS) $(GO_LD_FLAGS) -v ./containerd-stargz-grpc
 
 ctr-remote: FORCE
-	GO111MODULE=$(GO111MODULE_VALUE) go build -o $(PREFIX)$@ $(GO_BUILD_FLAGS) $(GO_LD_FLAGS) -v ./cmd/ctr-remote
+	cd cmd/ ; GO111MODULE=$(GO111MODULE_VALUE) go build -o $(PREFIX)$@ $(GO_BUILD_FLAGS) $(GO_LD_FLAGS) -v ./ctr-remote
 
 stargz-store: FORCE
-	GO111MODULE=$(GO111MODULE_VALUE) go build -o $(PREFIX)$@ $(GO_BUILD_FLAGS) $(GO_LD_FLAGS) -v ./cmd/stargz-store
+	cd cmd/ ; GO111MODULE=$(GO111MODULE_VALUE) go build -o $(PREFIX)$@ $(GO_BUILD_FLAGS) $(GO_LD_FLAGS) -v ./stargz-store
 
 check:
 	@echo "$@"
 	@GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run
 	@cd ./estargz ; GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run
+	@cd ./cmd ; GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run
+	@cd ./ipfs ; GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run
 
 install-check-tools:
-	@curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.42.0
+	@curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.45.2
 
 install:
 	@echo "$@"
@@ -71,10 +73,18 @@
 validate-generated:
 	@./script/generated-files/generate.sh validate
 
+vendor:
+	@cd ./estargz ; GO111MODULE=$(GO111MODULE_VALUE) go mod tidy
+	@cd ./ipfs ; GO111MODULE=$(GO111MODULE_VALUE) go mod tidy
+	@GO111MODULE=$(GO111MODULE_VALUE) go mod tidy
+	@cd ./cmd ; GO111MODULE=$(GO111MODULE_VALUE) go mod tidy
+
 test:
 	@echo "$@"
 	@GO111MODULE=$(GO111MODULE_VALUE) go test -race ./...
-	@cd ./estargz ; GO111MODULE=$(GO111MODULE_VALUE) go test -timeout 20m -race ./...
+	@cd ./estargz ; GO111MODULE=$(GO111MODULE_VALUE) go test -timeout 30m -race ./...
+	@cd ./cmd ; GO111MODULE=$(GO111MODULE_VALUE) go test -timeout 20m -race ./...
+	@cd ./ipfs ; GO111MODULE=$(GO111MODULE_VALUE) go test -timeout 20m -race ./...
 
 test-root:
 	@echo "$@"
@@ -91,8 +101,8 @@
 benchmark:
 	@./script/benchmark/test.sh
 
-test-pullsecrets:
-	@./script/pullsecrets/test.sh
+test-kind:
+	@./script/kind/test.sh
 
 test-cri-containerd:
 	@./script/cri-containerd/test.sh
@@ -105,3 +115,6 @@
 
 test-k3s:
 	@./script/k3s/test.sh
+
+test-k3s-argo-workflow:
+	@./script/k3s-argo-workflow/run.sh

=== debian/changelog ===
golang-github-containerd-stargz-snapshotter (0.11.4-2) unstable; urgency=medium

  * Disable (experimental) ipfs support, sources not currently available
    in debian. As a consequence, ctr-remote is no longer provided

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 17 May 2022 06:48:44 -0400

golang-github-containerd-stargz-snapshotter (0.11.4-1) unstable; urgency=medium

  * New upstream version 0.11.4

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 14 May 2022 11:57:41 -0400

golang-github-containerd-stargz-snapshotter (0.8.0-9) unstable; urgency=medium

  * unbreak autopkgtests

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 22 Nov 2021 15:32:44 -0500

=== debian/rules ===
#!/usr/bin/make -f

# NB: the /service modules contain a number of k8s related dependencies
# that are not (currently) packaged in debian for use by other packages.
# As of version 0.8.0, this excludes the programs containerd-stargz-grpc
# and stargz-core, which are excluded from building in the following
export DH_GOLANG_EXCLUDES := stargz-snapshotter/service cmd/containerd-stargz-grpc cmd/stargz-store cmd/ctr-remote ipfs

# exclude tests that reach out to internet #999440
EXTRA_TEST_EXCLUDES := nativeconverter

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# on 32bit architectures, exclude a problematic test
ifneq ($(DEB_HOST_ARCH_BITS),32)
else
EXTRA_TEST_EXCLUDES += estargz/zstdchunked
endif

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) $(EXTRA_TEST_EXCLUDES)" GOMAXPROCS=4 dh_auto_test -v --max-parallel=2

## golang-github-containerd-stargz-snapshotter 0.12.0

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	@cd ./ipfs ; GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run
 
 install-check-tools:
-	@curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.45.2
+	@curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/v1.46.2/install.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.46.2
 
 install:
 	@echo "$@"

=== debian/changelog ===
golang-github-containerd-stargz-snapshotter (0.12.0-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 14:38:31 +1000

golang-github-containerd-stargz-snapshotter (0.12.0-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 16:34:32 +1000

golang-github-containerd-stargz-snapshotter (0.12.0-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 12:02:28 +0530

golang-github-containerd-stargz-snapshotter (0.12.0-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:57 +1200

golang-github-containerd-stargz-snapshotter (0.12.0-2) unstable; urgency=medium

  * Team upload
  * Correct project name in Vcs-Browser and Vcs-Git
  * Remove duplicate dependencies from the -dev package
  * Build depend on golang-github-hashicorp-go-retryablehttp-dev

 -- Benjamin Drung <bdrung@debian.org>  Tue, 13 Dec 2022 14:09:23 +0100

golang-github-containerd-stargz-snapshotter (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * restore ctr-remote binary

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Aug 2022 09:18:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-github-containerd-stargz-snapshotter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -18,6 +19,7 @@
                golang-github-google-gofuzz-dev,
                golang-github-hanwen-go-fuse-dev,
                golang-github-hashicorp-go-multierror-dev,
+               golang-github-hashicorp-go-retryablehttp-dev,
                golang-github-klauspost-compress-dev (>> 1.11.13),
                golang-github-moby-sys-dev,
                golang-github-opencontainers-go-digest-dev,
@@ -36,8 +38,8 @@
                golang-logrus-dev,
                golang-prometheus-client-dev
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/go-team/packages/stargz-snapshotter
-Vcs-Git: https://salsa.debian.org/go-team/packages/stargz-snapshotter.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-stargz-snapshotter
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-stargz-snapshotter.git
 Homepage: https://github.com/containerd/stargz-snapshotter
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/containerd/stargz-snapshotter
@@ -66,11 +68,7 @@
 
 Package: golang-github-containerd-stargz-snapshotter-dev
 Architecture: all
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         golang-github-klauspost-compress-dev (>> 1.11.13),
-         golang-golang-x-sync-dev,
-         golang-github-containerd-console-dev,
+Depends: golang-github-containerd-console-dev,
          golang-github-containerd-containerd-dev,
          golang-github-containerd-continuity-dev,
          golang-github-containerd-go-cni-dev,
@@ -81,6 +79,7 @@
          golang-github-google-gofuzz-dev,
          golang-github-hanwen-go-fuse-dev,
          golang-github-hashicorp-go-multierror-dev,
+         golang-github-hashicorp-go-retryablehttp-dev,
          golang-github-klauspost-compress-dev (>> 1.11.13),
          golang-github-moby-sys-dev,
          golang-github-opencontainers-go-digest-dev,
@@ -98,6 +97,8 @@
          golang-gopkg-inf.v0-dev,
          golang-logrus-dev,
          golang-prometheus-client-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Multi-Arch: foreign
 Description: Fast container image distribution plugin with lazy pulling (library)

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # that are not (currently) packaged in debian for use by other packages.
 # As of version 0.8.0, this excludes the programs containerd-stargz-grpc
 # and stargz-core, which are excluded from building in the following
-export DH_GOLANG_EXCLUDES := stargz-snapshotter/service cmd/containerd-stargz-grpc cmd/stargz-store cmd/ctr-remote ipfs
+export DH_GOLANG_EXCLUDES := stargz-snapshotter/service cmd/containerd-stargz-grpc cmd/stargz-store ipfs
 
 # exclude tests that reach out to internet #999440
 EXTRA_TEST_EXCLUDES := nativeconverter

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/containerd/stargz-snapshotter/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-containerd-stargz-snapshotter 0.14.3

=== Makefile ===
--- 
+++ 
@@ -21,13 +21,14 @@
 PKG=github.com/containerd/stargz-snapshotter
 VERSION=$(shell git describe --match 'v[0-9]*' --dirty='.m' --always --tags)
 REVISION=$(shell git rev-parse HEAD)$(shell if ! git diff --no-ext-diff --quiet --exit-code; then echo .m; fi)
-GO_LD_FLAGS=-ldflags '-s -w -X $(PKG)/version.Version=$(VERSION) -X $(PKG)/version.Revision=$(REVISION) $(GO_EXTRA_LDFLAGS)'
+GO_BUILD_LDFLAGS ?= -s -w
+GO_LD_FLAGS=-ldflags '$(GO_BUILD_LDFLAGS) -X $(PKG)/version.Version=$(VERSION) -X $(PKG)/version.Revision=$(REVISION) $(GO_EXTRA_LDFLAGS)'
 
 CMD=containerd-stargz-grpc ctr-remote stargz-store
 
 CMD_BINARIES=$(addprefix $(PREFIX),$(CMD))
 
-.PHONY: all build check install-check-tools install uninstall clean test test-root test-all integration test-optimize benchmark test-kind test-cri-containerd test-cri-o test-criauth generate validate-generated test-k3s test-k3s-argo-workflow vendor
+.PHONY: all build check install uninstall clean test test-root test-all integration test-optimize benchmark test-kind test-cri-containerd test-cri-o test-criauth generate validate-generated test-k3s test-k3s-argo-workflow vendor
 
 all: build
 
@@ -50,9 +51,6 @@
 	@cd ./estargz ; GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run
 	@cd ./cmd ; GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run
 	@cd ./ipfs ; GO111MODULE=$(GO111MODULE_VALUE) $(shell go env GOPATH)/bin/golangci-lint run
-
-install-check-tools:
-	@curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/v1.46.2/install.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.46.2
 
 install:
 	@echo "$@"
@@ -110,6 +108,9 @@
 test-cri-o:
 	@./script/cri-o/test.sh
 
+test-podman:
+	@./script/podman/test.sh
+
 test-criauth:
 	@./script/criauth/test.sh
 
@@ -118,3 +119,6 @@
 
 test-k3s-argo-workflow:
 	@./script/k3s-argo-workflow/run.sh
+
+test-ipfs:
+	@./script/ipfs/test.sh

=== debian/changelog ===
golang-github-containerd-stargz-snapshotter (0.14.3-4) unstable; urgency=medium

  * Team upload.
  * Skip TestOverlayView.  Closes: #1092527, #1072067.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 15 Apr 2025 05:47:51 +0200

golang-github-containerd-stargz-snapshotter (0.14.3-3) unstable; urgency=medium

  * Exclude tests matching estargz/zstdchunked on riscv64

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Aug 2024 14:57:16 -0400

golang-github-containerd-stargz-snapshotter (0.14.3-2) unstable; urgency=medium

  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 14:22:12 -0400

golang-github-containerd-stargz-snapshotter (0.14.3-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 31 Jul 2024 07:29:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-containerd-stargz-snapshotter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -13,7 +12,6 @@
                golang-github-containerd-continuity-dev,
                golang-github-containerd-go-cni-dev,
                golang-github-coreos-go-systemd-dev,
-               golang-github-docker-docker-dev,
                golang-github-docker-go-metrics-dev,
                golang-github-golang-groupcache-dev,
                golang-github-google-gofuzz-dev,
@@ -37,7 +35,7 @@
                golang-gopkg-inf.v0-dev,
                golang-logrus-dev,
                golang-prometheus-client-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-stargz-snapshotter
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-stargz-snapshotter.git
 Homepage: https://github.com/containerd/stargz-snapshotter
@@ -73,7 +71,6 @@
          golang-github-containerd-continuity-dev,
          golang-github-containerd-go-cni-dev,
          golang-github-coreos-go-systemd-dev,
-         golang-github-docker-docker-dev,
          golang-github-docker-go-metrics-dev,
          golang-github-golang-groupcache-dev,
          golang-github-google-gofuzz-dev,

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,11 @@
 EXTRA_TEST_EXCLUDES += estargz/zstdchunked
 endif
 
+# riscv64 is too slow
+ifneq ($(DEB_HOST_ARCH),riscv64)
+else
+EXTRA_TEST_EXCLUDES += estargz/zstdchunked
+endif
+
 override_dh_auto_test:
-	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) $(EXTRA_TEST_EXCLUDES)" GOMAXPROCS=4 dh_auto_test -v --max-parallel=2
+	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) $(EXTRA_TEST_EXCLUDES)" GOMAXPROCS=4 dh_auto_test -v --max-parallel=2 -- --skip=TestOverlayView

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/containerd/stargz-snapshotter/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
